The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Проблемка с обновлением bind'а"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Открытые системы на сервере (DNS / FreeBSD)
Изначальное сообщение [ Отслеживать ]

"Проблемка с обновлением bind'а"  +/
Сообщение от hdv (?), 18-Май-19, 11:44 
FreeBSD 11.2
Стоит почтовый сервер и dns-сервер.
Обновлялся весь софт из портов, в принципе, все нормально обновилось, кроме бинда, который не хочет и ругается при обновлении на конфликт:

===>  Installing for bind-tools-9.14.2
===>  Checking if bind-tools is already installed
===>   Registering installation for bind-tools-9.14.2 as automatic
Installing bind-tools-9.14.2...
pkg-static: bind-tools-9.14.2 conflicts with bind911-9.11.6 (installs files into the same place).  Problematic file: /usr/local/bin/arpaname
*** Error code 70

Stop.
make[3]: stopped in /usr/ports/dns/bind-tools
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/dns/bind-tools
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/dns/bind911
*** Error code 1

Stop.
make: stopped in /usr/ports/dns/bind911
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade20190518-18425-vmcw00 env UPGRADE_TOOL=portupgrade UPGRADE_PORT=bind911-9.11.6 UPGRADE_PORT_VER=9.11.6 make
** Fix the problem and try again.
** Listing the failed packages (-:ignored / *:skipped / !:failed)
        ! dns/bind911 (bind911-9.11.6)  (unknown build error)


Софт обновлялся по принципу portupgrade -arR. Все обновилось, кроме bind'а

При этом, стоит:
bind911-9.11.6
но не стоит никакой bind-tools, т.е. например, в списке pkg version его нет в принципе.
Как это можно победить, если не удалять bind911 с последующей установкой bind914, чтобы победить этот bind-tools-9.14.2?
Заранее благодарен.

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


1. "Проблемка с обновлением bind'а"  +/
Сообщение от olpa (ok), 18-Май-19, 14:14 
>[оверквотинг удален]
>         ! dns/bind911 (bind911-9.11.6)  
> (unknown build error)
> Софт обновлялся по принципу portupgrade -arR. Все обновилось, кроме bind'а
> При этом, стоит:
> bind911-9.11.6
> но не стоит никакой bind-tools, т.е. например, в списке pkg version его
> нет в принципе.
> Как это можно победить, если не удалять bind911 с последующей установкой bind914,
> чтобы победить этот bind-tools-9.14.2?
> Заранее благодарен.

Попробуй portmaster-ом, вчера обновил без проблем, bind-tools ставится автоматом с прошлого обновления bind этой ветки.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "Проблемка с обновлением bind'а"  +/
Сообщение от hdv (?), 18-Май-19, 17:54 
> Попробуй portmaster-ом, вчера обновил без проблем, bind-tools ставится автоматом с прошлого
> обновления bind этой ветки.

Благодарю за совет. С portmaster'ом получилось. Но в целом, конечно, это нелепица какая-то...

Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Слёрм
Inferno Solutions
Hosting by Ihor
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2019 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру